Subject: Re: [RFC 20/20] RDMA/i40iw: Mark i40iw as deprecated

From: Leon Romanovsky <[email-masked]>
Date: Sat, 28 Sep 2019 08:55:11 +0300

On Fri, Sep 27, 2019 at 04:17:15PM -0400, Doug Ledford wrote:
> On Thu, 2019-09-26 at 21:55 +0200, [email-masked] wrote:
> > On Thu, Sep 26, 2019 at 07:49:44PM +0000, Saleem, Shiraz wrote:
> > > > Subject: Re: [RFC 20/20] RDMA/i40iw: Mark i40iw as deprecated
> > > >
> > > > On Thu, Sep 26, 2019 at 09:45:19AM -0700, Jeff Kirsher wrote:
> > > > > From: Shiraz Saleem <[email-masked]>
> > > > >
> > > > > Mark i40iw as deprecated/obsolete.
> > > > >
> > > > > irdma is the replacement driver that supports X722.
> > > >
> > > > Can you simply delete old one and add MODULE_ALIAS() in new
> > > > driver?
> > > >
> > >
> > > Yes, but we thought typically driver has to be deprecated for a few
> > > cycles before removing it.
> >
> > If you completely replace it with something that works the same, why
> > keep the old one around at all?
> >
> > Unless you don't trust your new code?  :)
>
> I have yet to see, in over 20 years of kernel experience, a new driver
> replace an old driver and not initially be more buggy and troublesome
> than the old driver.  It takes time and real world usage for the final
> issues to get sorted out.  During that time, the fallback is often
> necessary for those real world users.

How many real users exist in RDMA world who run pure upstream kernel?

Thanks

>
> --
> Doug Ledford <[email-masked]>
>     GPG KeyID: B826A3330E572FDD
>     Fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD